// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wClientsPane:
//   The clients pane.

#ifndef p4wClientsPane_H
#define p4wClientsPane_H


//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


//
// p4wClientsPane class
class p4wClientsPane : public p4wPane {

public:
	//
	// Constructors and destructor.
					p4wClientsPane(p4wView & ParentView, p4wRequest & Request);
	virtual				~p4wClientsPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render(StrDict * varList);
	virtual	void		End();

private:

	void	doForm();
	void	doFilterMessage(StrBuf *msg);

	int		fRowCtr;
	int		fClientCtr;

	// filter variables
	char	fCfl;	// bitflags: 1=owner is user, 2=my host, 4=usable hosts, 8=root matches -r
	StrBuf	fCnm;	// name contain this string
	StrBuf	fCow;	// filter by this owner
	StrBuf	fCdu;	// filter by updated date >=, == or < this date
	StrBuf	fCda;	// filter by accessed date >=, == or < this date
	StrBuf	fCho;	// host is this
};

#endif // p4wClientsPane_H
